Bug 908731 - clamav package lacks the file /usr/sbin/updateclamconf
clamav package lacks the file /usr/sbin/updateclamconf
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Security
13.2
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Reinhard Max
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-12-07 09:39 UTC by Werner Flamme
Modified: 2017-12-03 09:04 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Werner Flamme 2014-12-07 09:39:55 UTC
Hi, everyone,

after each update of the clamav package, I get these messages:

(35/42) Installing: clamav-0.98.5-114.6 .........................................................................................................................................................[done]
Additional rpm output:
Merging /etc/clamd.conf and /etc/clamd.conf.rpmnew
/var/tmp/rpm-tmp.RpVXek: line 12: /usr/sbin/updateclamconf: No such file or directory
Merging /etc/clamd.conf with /etc/clamd.conf.rpmnew failed
Merging /etc/freshclam.conf and /etc/freshclam.conf.rpmnew
/var/tmp/rpm-tmp.RpVXek: line 12: /usr/sbin/updateclamconf: No such file or directory
Merging /etc/freshclam.conf with /etc/freshclam.conf.rpmnew failed

Looking into the source rpm, I see a file clamav-updateclamconf. In the spec file, it has the alias Source3, but this alias is never used afterwards - many other "Source" aliases are used.

Someone please fix the spec file, so that Source3 is used properly :)

Regards,
Werner
Comment 1 Reinhard Max 2014-12-08 09:13:02 UTC
Indeed, when I removed the init scripts, I accidentally also removed the line that installs updateclamconf.
Comment 3 Bernhard Wiedemann 2015-01-20 18:00:08 UTC
This is an autogenerated message for OBS integration:
This bug (908731) was mentioned in
https://build.opensuse.org/request/show/282132 13.2+13.1 / clamav
Comment 4 Reinhard Max 2015-01-23 13:21:37 UTC
*** Bug 914505 has been marked as a duplicate of this bug. ***
Comment 5 Reinhard Max 2015-01-23 13:24:01 UTC
Fixed.
Comment 6 Swamp Workflow Management 2015-01-30 09:05:27 UTC
openSUSE-RU-2015:0177-1: An update that has one recommended fix can now be installed.

Category: recommended (low)
Bug References: 908731
CVE References: 
Sources used:
openSUSE 13.2 (src):    clamav-0.98.5-2.9.2
openSUSE 13.1 (src):    clamav-0.98.5-26.2
Comment 7 Bernhard Wiedemann 2015-01-30 16:00:09 UTC
This is an autogenerated message for OBS integration:
This bug (908731) was mentioned in
https://build.opensuse.org/request/show/283477 Factory / clamav
Comment 8 Swamp Workflow Management 2015-02-02 09:09:33 UTC
SUSE-SU-2015:0188-1: An update that solves two vulnerabilities and has 5 fixes is now available.

Category: security (moderate)
Bug References: 903489,903719,904207,906077,906770,908731,914505
CVE References: CVE-2013-6497,CVE-2014-9050
Sources used:
SUSE Linux Enterprise Server 12 (src):    clamav-0.98.5-6.1
SUSE Linux Enterprise Desktop 12 (src):    clamav-0.98.5-6.1
Comment 9 Swamp Workflow Management 2015-12-13 12:10:54 UTC
openSUSE-RU-2015:2254-1: An update that has 5 recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 872682,908731,914505,915414,957728
CVE References: 
Sources used:
openSUSE 13.2 (src):    clamav-0.99-2.19.1
openSUSE 13.1 (src):    clamav-0.99-36.1
Comment 10 Bernhard Wiedemann 2017-12-03 09:04:31 UTC
This is an autogenerated message for OBS integration:
This bug (908731) was mentioned in
https://build.opensuse.org/request/show/547654 15.0 / clamav